Bug 495604 - Old backup files are not removed when backup mode is ssh
Old backup files are not removed when backup mode is ssh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 21:47 EDT by Misho Krastev
Modified: 2009-07-28 14:48 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.43.3-0.3.rc2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misho Krastev 2009-04-13 21:47:35 EDT
Description of problem:

Backup files accumulate in the destination backup directory without end.

Version-Release number of selected component (if applicable):

1.43.3rc1, but this is what I picked up today after the OS update. I noticed this problem weeks ago when I was running the previous version of fwbackups.

How reproducible:

Every time.

Steps to Reproduce:
1. Create a backup set with destination type set to SSH (in the Destination tab)
2. In 'Options (simple)' tab set "Number of old backups to keep" to some number, 2 for example
3. Start the backup manually several times (more than 2), by clicking on "Backup Set Now" button in the main window
  
Actual results:

Backup files accumulate in the destination directory. No backup files are ever removed.

Expected results:

After reaching the limit, old backup file should be deleted.

Additional info:

It appears that when the destination type is "Local folder" the purging of old backup files works correctly.

On glancing the code (backend.py), in function RemoveOldBackups, it seems that in the beginning the function gathers a list of files from the current directory (which seems to be /tmp) and then it works on that list in order to decide which files are ripe for purging. But the backup files are not in /tmp, they are somewhere across the network ...
Comment 1 Stewart Adam 2009-04-13 23:57:01 EDT
Thanks for reporting this. The 1.43.3 release is focusing mainly on improving remote (ssh) support, so I'll try to get this fixed for 1.43.3rc2.
Comment 2 Fedora Update System 2009-06-09 11:31:05 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.3.rc2.fc11
Comment 3 Bug Zapper 2009-06-09 23:39:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora Update System 2009-06-15 21:38:24 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6096
Comment 5 Misho Krastev 2009-06-16 13:59:49 EDT
I don't have time to upgrade my desktop at work to F11 now (I know I should). Without an rpm for F9 I can not test it.
Comment 6 Stewart Adam 2009-06-16 14:07:42 EDT
A F9 update is pending now: https://admin.fedoraproject.org/updates/fwbackups-1.43.3-0.2.rc2.fc9
Comment 7 Fedora Update System 2009-07-03 15:39:28 EDT
fwbackups-1.43.3-0.3.rc2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-07-03 15:45:52 EDT
fwbackups-1.43.3-0.3.rc2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Misho Krastev 2009-07-28 14:48:34 EDT
Fix confirmed. Version 1.43.3rc2 on Fedora 9 works fine now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.